<template>
    <div>
      <div class="content">
        <h3 class="d-flex justify-content-center bg-danger text-light">
          Carrinho de compras
        </h3>
      </div>
      <div class="row container-fluid">
        <div class="card-group col-9">
          <div hidden>
          {{ valor_total = 0 }}
          </div>
          <tr v-for="carrinho in carrinho" v-bind:key="carrinho.id" class="col-12">
            <div class="row border-danger m-2" >
              <div class="col-2">
                <img v-if="produtos[carrinho.produto_id - 1].imagem" :src="produtos[carrinho.produto_id - 1].imagem" style="width: 130px">
                <img v-else src="img/default.jpg" style="width: 130px">
              </div>
              <div class="col-8">
                <br>
                <small>id: {{ produtos[carrinho.produto_id - 1].id}}</small>
                <h5 style="color: black">
                  {{ produtos[carrinho.produto_id - 1].nome}}
                </h5>
                Quantidade: {{carrinho.quant_compra}}
              </div>
              <div class="col-2">
                <h5>Preço</h5>
                <small>Unidade: R${{produtos[carrinho.produto_id - 1].valor_venda | estiloMoeda}}</small>
                <br>
                <b>R${{produtos[carrinho.produto_id - 1].valor_venda * carrinho.quant_compra | estiloMoeda}} </b>
                <div hidden>
                  {{ valor_total += produtos[carrinho.produto_id - 1].valor_venda * carrinho.quant_compra}}
                </div>
              </div>
            </div>
          </tr>
        </div>
        <div class="border-danger col-3" style="margin-top: 8px; height: 131px;">
          <h5 class="d-flex justify-content-center"><b> Total do pedido </b></h5>
          <h4> R$ {{ valor_total | estiloMoeda }} </h4>
          <div class="d-flex justify-content-center">
            <button class="btn-danger footer col-10" @click="fecharPedido(valor_total)">Finalizar Pedido</button>
          </div>
        </div> 
      </div>
    </div>
</template>
<script>
import axios from 'axios';
export default {
  data() {
    return {
      pedido: [],
      produtos: [],
      carrinho: [],
    };
  },
  methods: {
    listar() {
      if (localStorage.getItem("token")) {
        axios.get(this.$urlAPI + "/pedido/" + localStorage['id']).then((res)=> {
          if(res.data[0]){
              let pedido_id = res.data[0].id
              axios.get(this.$urlAPI + "/carrinho/" + pedido_id).then((res) => this.carrinho = res.data)
          }
        })
        axios
          .get(this.$urlAPI + `/produtos`)
          .then((response) => (this.produtos = response.data));
      }
    },
    async fecharPedido(valorTotal) {
      axios.get(this.$urlAPI + "/pedido/" + localStorage['id']).then((res)=> {
        console.log(res.data);
        let pedido = {
          id: res.data[0].id,
          status: "aberto",
          valor_pedido: valorTotal
        }
        axios.put(this.$urlAPI + "/pedido", pedido).then(alert("Pedido enviado com sucesso!"))
      })
    }
  },
  mounted() {
    this.listar();
    // EventBus.$on("updateCarrinho", (produto, quant) => {
    //   this.produtos.push(produto);
    //   console.log("updateCarrinho", produto, quant);
    //   console.log(this.produtos);
    // });
  },
  filters: {
    estiloMoeda(value) {
      return value.toLocaleString("pt-br", { minimumFractionDigits: 2 });
    },
    // estiloData(value) {
    //     return moment(String(value)).add(3,'hours').format('DD/MM/YYYY HH:mm')
    // }
  },
};
</script>

<style scoped>
.border-danger {
  border-bottom: 1px solid red;
  border-right: 1px solid red;
}
.footer {
  position: absolute;
  bottom: 0;
  margin-bottom: 10px;
}
</style>